lp:ubuntu/feisty-security/flashplugin-nonfree

Created by James Westby on 2009-08-07 and last modified on 2009-08-07
Get this branch:
bzr branch lp:ubuntu/feisty-security/flashplugin-nonfree
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Review team:
Ubuntu Development Team
Status:
Development

Recent revisions

24. By John Vivirito on 2007-07-14

* SECURITY UPDATE: Arbitrary code execution due to insufficient input
  validation (LP: #125233)
* References
  http://www.adobe.com/support/security/bulletins/apsb07-12.html
  CVE-2007-3456, CVE-2007-3457, CVE-2007-2022
* debian/config: Update install_flash_player_9_linux.tar.gz's md5sum
  (LP: #125986)

23. By Michael Bienia on 2007-03-01

* Merge from debian unstable, remaining changes:
  - debian/control:
    + Don't Recommend xfs (Suggest it instead).
  - debian/prerm:
    + Also remove /var/cache/flashplugin-nonfree* ,
    + Migrate old initscript clobbering from postinst to here.
  - debian/{dirs,links}: Don't support iceweasel or iceape,
* debian/control:
  - Suggest firefox instead of iceweasel.
  - Replace Debian with Ubuntu in the Description and use a Ubuntu wiki page
    as homepage. (Closes LP: #85911)
  - Change Maintainer/XSBC-Original-Maintainer field.
* This merge fixes LP: #80545 and LP: #86089.

22. By Daniel T Chen on 2007-01-20

* Merge from Debian unstable, remaining changes:
  - debian/{config,dirs,links,postinst}:
    + Don't use /usr/lib/flashplugin-nonfree* (use
      /var/cache/flashplugin-nonfree* instead)
      (Closes Ubuntu: #80545),
  - debian/control: Don't Recommend xfs (Suggest it instead),
  - debian/prerm:
    + Also remove /var/cache/flashplugin-nonfree* ,
    + Migrate old initscript clobbering from postinst to here.
* Rebase packaging on 9.0.31.0.1 and readd Ubuntu delta.
* Closes Ubuntu: #68429, #73295 in a previous Debian upload.

21. By Daniel T Chen on 2007-01-17

* New upstream version.
* debian/{config,postinst}: Update for new upstream version.

20. By Daniel T Chen on 2006-12-31

* Merge from Debian unstable, remaining changes:
  - debian/{control,dirs,links}: Don't support iceweasel or iceape,
  - debian/postinst: Handle upgrades from previous Ubuntu versions
    that created an initscript (i.e., remove the initscript).

19. By Daniel T Chen on 2006-11-22

The "Read the Package Description Warning!" release.

* Merge with Debian unstable, remaining Ubuntu changes:
  - debian/{control,dirs,links}: Drop iceweasel and mozilla-firefox,
  - debian/postinst: Handle upgrades from previous Ubuntu versions
    that created an initscript (i.e., remove the initscript).

18. By Daniel T Chen on 2006-11-21

New upstream beta Closes Ubuntu: #62988, #64867, #68552, #68554,
#71590.

17. By Daniel T Chen on 2006-11-18

The "blue/purple/polka dot pills" release.

* Merge from Debian unstable, remaining Ubuntu changes:
  - debian/control: Drop Depends on lsb-base (>= 3.0-6) now that we
    don't use an initscript,
  - debian/links:
    + Don't (de)symlink (from)into /usr/lib/mozilla-firefox, because
      it points to /usr/lib/firefox (Closes Ubuntu: #72193),
    + Don't symlink /etc/X11/fs,
  - debian/postinst: Handle upgrades from previous Ubuntu versions
    that created an initscript (i.e., remove the initscript).

16. By Daniel T Chen on 2006-11-16

The "afraid of sunlight" release.

* Merge from Debian unstable, remaining Ubuntu changes:
  - debian/control: Don't Recommend libesd-alsa0,
  - debian/prerm: Handle upgrades from previous Ubuntu versions
    that created an initscript (i.e., remove the initscript),
  - update-flashplugin.sh: No longer in upstream (Debian).
* New upstream beta Closes Ubuntu: #38904, #60612, #64564,
  #66873.

15. By Daniel T Chen on 2006-10-12

* debian/control:
  - Fix incorrect Recommends of libesd0-alsa (should be
    libesd-alsa0; thanks, Simon Law! Closes Ubuntu: #63001),
  - Add flashplayer-mozilla to Conflicts (Closes Ubuntu: #63055,
    #65550).

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/karmic/flashplugin-nonfree
This branch contains Public information 
Everyone can see this information.

Subscribers